function onTalk()
	disableMovement()
	makeUnskippable()
	disableRetry()
	playSound("event:/CC/CC_KoseiDiamond/ui_pause")
	if getFlag("cryoGoldenRun") then
			coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("ANDYB", "CC_KoseiDiamond_ushiro_golden"))
	else
		if getFlag("PartyCenter") then
				coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("ANDYB", "CC_KoseiDiamond_ushiro_party"))
				endCutscene()
		else
			if not (getFlag("ushiroTalked") == true) then
				say("CC_KoseiDiamond_ushiro_quest")
				setFlag("ushiroTalked")
			else
				say("CC_KoseiDiamond_ushiro_questB")
			end
		end
	end
	enableMovement()
	enableRetry()
end